Skip to main content
GET
List actions
address is required. Results are limited to actions created by your project. action filters by action type. status filters by one action status; statuses takes up to 7 values as a CSV or repeated parameter and, when present, overrides status. offset defaults to 0; limit defaults to 25 and is at most 100.

Authorizations

x-api-key
string
header
required

Query Parameters

offset
number
default:0

Offset for pagination

Required range: x >= 0
Example:

0

limit
number
default:25

Maximum number of items to return

Required range: 1 <= x <= 100
Example:

25

address
string
required

User wallet address to filter actions for

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f8fB28"

integrationId
string

Filter by integration

Example:

"aave-borrow"

action
enum<string>

Filter by action type

Available options:
supply,
borrow,
repay,
withdraw,
enableCollateral,
disableCollateral,
supplyAndBorrow
Example:

"supply"

status
enum<string>

Filter by status

Available options:
CANCELED,
CREATED,
WAITING_FOR_NEXT,
PROCESSING,
FAILED,
SUCCESS,
STALE
statuses
enum<string>[]

Filter by multiple statuses (supports CSV or repeated query params)

Available options:
CANCELED,
CREATED,
WAITING_FOR_NEXT,
PROCESSING,
FAILED,
SUCCESS,
STALE

Response

Paginated list of actions

total
number
required

Total number of items available

Example:

150

offset
number
required

Offset of the current page

Example:

0

limit
number
required

Limit of the current page

Example:

100

items
object[]